      program sp400                ! RC回路 微分回路 積分回路
      implicit none
      integer j, jmax
      real*8 pi
      parameter(pi=3.14159)
      real*8 dt, tmax, t, Vs, I, Q
      parameter(dt=1d-5)           ! 10μ秒
      real*8 R, C, tau             ! 抵抗 コンデンサ 時定数
      parameter(R=1000, C=1d-6)    ! ohm, farad
      real*8 V0, f, period, omega  ! 振幅 周波数 周期 角振動数
      parameter(V0=1, f=100)       ! volt, hertz
      real*8 Vout_H, Vout_L
      real*8 ext_volt_cos, ext_volt_rectangle
      tau   = R*C		   ! 時定数
      period= 1/f                  ! 周期
      omega = 2*pi*f
      t     = 0                     ! sec
      Q     = 0                     ! クーロン
      tmax  = 2*period
      jmax  = tmax/dt
      open(1,file='sp400.dat')
      do j=1,jmax
        Vs  = V0*cos(omega*t)
        I   = __/__ - __/___
        Q   = _____ + ______        ! Euler法
        t   = _____ + ______
        Vout_H = ________           ! high pass filter   (differential)
        Vout_L = ________           !  low pass filter   (integral)
        write(1,'(1p6e12.4)') t, Vs, I, Q, Vout_H, Vout_L
      enddo
      close(1)
      stop
      end
